* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
[class*="-btn"],
input,
::placeholder {
    font-family: 'Ubuntu', sans-serif;
    font-weight: 400;
    font-size: 14px;
}

body {
    background-image: url(../img/background-main.png);
    background-repeat: no-repeat;
    background-size: cover;
}

header,
.contacts,
main,
.action,
.sign-method-btn {
    display: flex;
    align-items: center;
}

header {
    padding: 18px 80px;
    justify-content: space-between;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    color: #fff;
}

.logo-link {
    font-size: 22px;
    font-weight: 700;
    color: #fff;
    text-transform: uppercase;
}

.logo-link:hover,
.welcome-text:hover {
    color: #3CB878;
}

.contacts {
    height: 24px;
    gap: 24px;
}

.icon-link:hover .icon-svg {
    fill: #01813F;
    transition: 0.2s;
}

.welcome::before {
    padding-left: 27px;
    content: '';
    border-left: 1px solid #fff;
    opacity: 0.5;
}

header a {
    color: #fff;
}

main {
    min-height: calc(100vh - 60px);
    justify-content: center;
    /* padding-top: 54px; */
    /* padding-bottom: 74px; */
}

.form {
    max-width: 444px;
    background-color: #fff;
    padding: 30px 60px 38px 60px;
    position: relative;
}

.shape-green {
    height: 18px;
    width: 18px;
    background-color: #3CB878;
    position: absolute;
    top: 29px;
    left: 0;
}

.action {
    justify-content: space-between;
    margin-bottom: 15px;
}

.action-sign {
    font-size: 20px;
    color: #434343;
}

.action-log,
.terms-link {
    color: #3CB878;
}

.action-log:hover,
.terms-link:hover {
    color: #01813F;
    text-decoration: underline;
}

.sign-method {
    margin-bottom: 31px;
}

[class*="-btn"] {
    border: none;
    color: #FFFFFF;
    border-radius: 4px;
    cursor: pointer;
}

.sign-method-btn {
    position: relative;
    width: 160px;
    padding: 10px 0;
}

.facebook-btn {
    background-color: #305DB8;
}

.facebook-btn:hover {
    background-color: #022263;
}

.google-btn {
    background-color: #DF4A32;
}

.google-btn:hover {
    background-color: #AB1F09;
}

.sign-method-icon {
    margin: 0 auto;
}

.sign-method-name {
    width: 110px;
    line-height: 28px;
    border-left: 1px solid rgb(43, 13, 9, 0.1);
}

/* .sign-method-name::before {
    position: absolute;
    content: '';
    height: 28px;
    width: 1px;
    background-color: #022263;
    opacity: 0.1;
    top: 10px;
    left: 50px;
} */

fieldset {
    border: none;
    border-top: 1px solid #F2F2F2;
}

legend {
    margin-bottom: 12px;
    text-align: center;
    color: #848484;
}

.input-field {
    width: 100%;
    padding: 15px 20px;
    margin-bottom: 15px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    color: #434343;
}

::placeholder {
    color: #BEBEBE;
}

.input-field:focus {
    outline: none;
    border: 1px solid #F2F2F2;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.checkbox {
    position: relative;
    display: flex;
}

.checkbox-input {
    position: absolute;
    /* z-index: -1; */
    opacity: 0;
}

.checkbox-text {
    display: inline-block;
    padding-left: 28px;
	cursor: pointer;
    line-height: 20px;
}

.checkbox-text::before {
    content: '';
	position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
}

.checkbox-input:checked+.checkbox-text::before {
    border-color: #F2F2F2;
    background-image: url(../img/check.svg);
    background-repeat: no-repeat;
    background-position: center;
    fill: #3CB878;
}

.create-btn {
    margin-top: 20px;
    width: 100%;
    padding: 16px 99px;
    font-size: 16px;
    background-color: rgba(60, 184, 120, 0.8);
}

.create-btn:hover {
    background-color: #01813F;
    border-radius: 45px;
}

:hover {
    transition: 0.3s;
}